Update submodules also after a "vcsh pull" command.
This requires a whole new script because vcsh does not call post-pull
hooks after pulling each repositories, it only calls the hook once after
pulling all of them.
See https://github.com/RichiH/vcsh/issues/213
When the issue gets fixed submodule-update-foreach.sh can be removed and
post-pull.00-submodule-init can link to submodule-update.sh
--- /dev/null
+#!/bin/sh
+
+set -e
+
+: "${XDG_CONFIG_HOME:="$HOME/.config"}"
+
+# XXX This should really be a normal post-pull hook, but vcsh lacks
+# per-repository pull/push hooks, see
+# https://github.com/RichiH/vcsh/issues/213
+
+echo "Updating submodules..."
+vcsh foreach -g "$XDG_CONFIG_HOME/vcsh/hooks-available/submodule-update.sh"
--- /dev/null
+../hooks-available/submodule-update-foreach.sh
\ No newline at end of file